'use strict';

var VTable = require('@visactor/vtable');
var listTable_vue_vue_type_script_setup_true_lang = require('./tables/list-table.vue.js');
var pivotTable_vue_vue_type_script_setup_true_lang = require('./tables/pivot-table.vue.js');
var pivotChart_vue_vue_type_script_setup_true_lang = require('./tables/pivot-chart.vue.js');
var chartModule = require('./tables/chartModule.js');
var listColumn = require('./components/list/list-column.js');
var pivotColumnDimension = require('./components/pivot/pivot-column-dimension.js');
var pivotRowDimension = require('./components/pivot/pivot-row-dimension.js');
var pivotColumnHeaderTitle = require('./components/pivot/pivot-column-header-title.js');
var pivotRowHeaderTitle = require('./components/pivot/pivot-row-header-title.js');
var pivotIndicator = require('./components/pivot/pivot-indicator.js');
var pivotCorner = require('./components/pivot/pivot-corner.js');
var menu = require('./components/component/menu.js');
var tooltip = require('./components/component/tooltip.js');
var group = require('./components/custom/group.js');
var image = require('./components/custom/image.js');
var text = require('./components/custom/text.js');
var tag = require('./components/custom/tag.js');
var radio = require('./components/custom/radio.js');
var checkBox = require('./components/custom/checkBox.js');

function _interopNamespaceDefault(e) {
	var n = Object.create(null);
	if (e) {
		Object.keys(e).forEach(function (k) {
			if (k !== 'default') {
				var d = Object.getOwnPropertyDescriptor(e, k);
				Object.defineProperty(n, k, d.get ? d : {
					enumerable: true,
					get: function () { return e[k]; }
				});
			}
		});
	}
	n.default = e;
	return Object.freeze(n);
}

var VTable__namespace = /*#__PURE__*/_interopNamespaceDefault(VTable);

const version = "1.17.4-alpha.0";

exports.VTable = VTable__namespace;
Object.defineProperty(exports, 'register', {
	enumerable: true,
	get: function () { return VTable.register; }
});
exports.ListTable = listTable_vue_vue_type_script_setup_true_lang;
exports.PivotTable = pivotTable_vue_vue_type_script_setup_true_lang;
exports.PivotChart = pivotChart_vue_vue_type_script_setup_true_lang;
exports.registerChartModule = chartModule.registerChartModule;
exports.ListColumn = listColumn;
exports.PivotColumnDimension = pivotColumnDimension;
exports.PivotRowDimension = pivotRowDimension;
exports.PivotColumnHeaderTitle = pivotColumnHeaderTitle;
exports.PivotRowHeaderTitle = pivotRowHeaderTitle;
exports.PivotIndicator = pivotIndicator;
exports.PivotCorner = pivotCorner;
exports.Menu = menu;
exports.Tooltip = tooltip;
exports.Group = group;
exports.Image = image;
exports.Text = text;
exports.Tag = tag;
exports.Radio = radio;
exports.CheckBox = checkBox;
exports.version = version;
